Bug 450532 - (CVE-2008-2366) CVE-2008-2366 openoffice.org: insecure relative RPATH in OOo 1.1.x packages
CVE-2008-2366 openoffice.org: insecure relative RPATH in OOo 1.1.x packages
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
source=redhat,reported=20080602,publi...
: Security
Depends On: 450520 450521 450522
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-09 08:42 EDT by Tomas Hoger
Modified: 2008-06-24 09:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-17 03:10:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-06-09 08:42:37 EDT
OpenOffice.org 1.1.x packages as shipped in Red Hat Enterprise Linux 3 and 4
shipped with certain libraries built with insecure RPATH set in the ELF header.
 RPATH was incorrectly set to '$ORIGIN' instead of $ORIGIN.

This issue can be exploited by a local user to run arbitrary code as some other
user if victim can be convinced to run openoffice in the attacker controlled
directory with specially crafted content.
Comment 2 Josh Bressers 2008-06-12 21:11:54 EDT
Lifting embargo
Comment 3 Red Hat Product Security 2008-06-17 03:10:18 EDT
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2008-0538.html


Note You need to log in before you can comment on or make changes to this bug.